const vbbDepartures = [
	{
		tripId: '1|24934|5|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:44:00+02:00',
		plannedWhen: '2021-10-12T17:44:00+02:00',
		delay: 0,
		platform: '3',
		plannedPlatform: '3',
		prognosisType: 'calculated',
		direction: 'S Erkner Bhf',
		origin: null,
		destination: {
			type: 'stop',
			id: '900310004',
			stationDHID: 'de:12067:900310004',
			name: 'S Erkner Bhf',
			location: {
				type: 'location',
				id: '900310004',
				latitude: 52.428398,
				longitude: 13.752246,
			},
			products: {
				suburban: true,
				subway: false,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: true,
			},
		},
		provenance: null,
		line: {
			type: 'line',
			id: 's3',
			fahrtNr: '10541',
			name: 'S3',
			public: true,
			adminCode: 'DBS---',
			productName: 'S',
			mode: 'train',
			product: 'suburban',
			operator: {
				type: 'operator',
				id: 's-bahn-berlin-gmbh',
				name: 'S-Bahn Berlin GmbH',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'DBS'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{type: 'hint', code: 'FB', text: 'Fahrradmitnahme möglich'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		currentTripPosition: {
			type: 'location',
			latitude: 52.514218,
			longitude: 13.419502,
		},
	},
	{
		tripId: '1|12106|15|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:45:00+02:00',
		plannedWhen: '2021-10-12T17:45:00+02:00',
		delay: 0,
		platform: null,
		plannedPlatform: null,
		prognosisType: 'prognosed',
		direction: 'Tiergarten, Philharmonie',
		provenance: null,
		line: {
			type: 'line',
			id: '300',
			fahrtNr: '33695',
			name: '300',
			public: true,
			adminCode: 'BVB---',
			productName: 'Bus',
			mode: 'bus',
			product: 'bus',
			operator: {
				type: 'operator',
				id: 'berliner-verkehrsbetriebe',
				name: 'Berliner Verkehrsbetriebe',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'BVG'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900005207',
			stationDHID: 'de:11000:900005207',
			name: 'Philharmonie Süd (Berlin)',
			location: {
				type: 'location',
				id: '900005207',
				latitude: 52.508761,
				longitude: 13.370025,
			},
			products: {
				suburban: false,
				subway: false,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.514227,
			longitude: 13.422495,
		},
	},
	{
		tripId: '1|23076|26|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:45:00+02:00',
		plannedWhen: '2021-10-12T17:45:00+02:00',
		delay: 0,
		platform: null,
		plannedPlatform: null,
		prognosisType: 'prognosed',
		direction: 'S+U Hermannstr. (Berlin)',
		provenance: null,
		line: {
			type: 'line',
			id: 'u8',
			fahrtNr: '17590',
			name: 'U8',
			public: true,
			adminCode: 'BVU---',
			productName: 'U',
			mode: 'train',
			product: 'subway',
			operator: {
				type: 'operator',
				id: 'berliner-verkehrsbetriebe',
				name: 'Berliner Verkehrsbetriebe',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'BVG'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{type: 'hint', code: 'FB', text: 'Fahrradmitnahme möglich'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900079221',
			stationDHID: 'de:11000:900079221',
			name: 'S+U Hermannstr. (Berlin)',
			location: {
				type: 'location',
				id: '900079221',
				latitude: 52.467339,
				longitude: 13.43143,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.518982,
			longitude: 13.415097,
		},
	},
	{
		tripId: '1|23117|2|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:45:00+02:00',
		plannedWhen: '2021-10-12T17:45:00+02:00',
		delay: 0,
		platform: null,
		plannedPlatform: null,
		prognosisType: 'prognosed',
		direction: 'S+U Wittenau',
		provenance: null,
		line: {
			type: 'line',
			id: 'u8',
			fahrtNr: '17227',
			name: 'U8',
			public: true,
			adminCode: 'BVU---',
			productName: 'U',
			mode: 'train',
			product: 'subway',
			operator: {
				type: 'operator',
				id: 'berliner-verkehrsbetriebe',
				name: 'Berliner Verkehrsbetriebe',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'BVG'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{type: 'hint', code: 'FB', text: 'Fahrradmitnahme möglich'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900096197',
			stationDHID: 'de:11000:900096197',
			name: 'S+U Wittenau (Berlin) [U8]',
			location: {
				type: 'location',
				id: '900096197',
				latitude: 52.59566,
				longitude: 13.334634,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.51011,
			longitude: 13.415834,
		},
	},
	{
		tripId: '1|25978|5|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:45:00+02:00',
		plannedWhen: '2021-10-12T17:45:00+02:00',
		delay: 0,
		platform: '4',
		plannedPlatform: '4',
		prognosisType: 'calculated',
		direction: 'S Westkreuz (Berlin)',
		provenance: null,
		line: {
			type: 'line',
			id: 's5',
			fahrtNr: '15359',
			name: 'S5',
			public: true,
			adminCode: 'DBS---',
			productName: 'S',
			mode: 'train',
			product: 'suburban',
			operator: {
				type: 'operator',
				id: 's-bahn-berlin-gmbh',
				name: 'S-Bahn Berlin GmbH',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'DBS'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{type: 'hint', code: 'FB', text: 'Fahrradmitnahme möglich'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900024102',
			stationDHID: 'de:11000:900024102',
			name: 'S Westkreuz (Berlin)',
			location: {
				type: 'location',
				id: '900024102',
				latitude: 52.501148,
				longitude: 13.283036,
			},
			products: {
				suburban: true,
				subway: false,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.512052,
			longitude: 13.427682,
		},
	},
	{
		tripId: '1|26593|10|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:47:00+02:00',
		plannedWhen: '2021-10-12T17:47:00+02:00',
		delay: 0,
		platform: '3',
		plannedPlatform: '3',
		prognosisType: 'calculated',
		direction: 'S Ahrensfelde Bhf (Berlin)',
		provenance: null,
		line: {
			type: 'line',
			id: 's7',
			fahrtNr: '17258',
			name: 'S7',
			public: true,
			adminCode: 'DBS---',
			productName: 'S',
			mode: 'train',
			product: 'suburban',
			operator: {
				type: 'operator',
				id: 's-bahn-berlin-gmbh',
				name: 'S-Bahn Berlin GmbH',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'DBS'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{type: 'hint', code: 'FB', text: 'Fahrradmitnahme möglich'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900170004',
			stationDHID: 'de:11000:900170004',
			name: 'S Ahrensfelde Bhf (Berlin)',
			location: {
				type: 'location',
				id: '900170004',
				latitude: 52.571335,
				longitude: 13.565648,
			},
			products: {
				suburban: true,
				subway: false,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: true,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.52167,
			longitude: 13.410989,
		},
	},
	{
		tripId: '1|26662|10|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:48:00+02:00',
		plannedWhen: '2021-10-12T17:48:00+02:00',
		delay: 0,
		platform: '4',
		plannedPlatform: '4',
		prognosisType: 'calculated',
		direction: 'S Potsdam Hauptbahnhof',
		provenance: null,
		line: {
			type: 'line',
			id: 's7',
			fahrtNr: '17985',
			name: 'S7',
			public: true,
			adminCode: 'DBS---',
			productName: 'S',
			mode: 'train',
			product: 'suburban',
			operator: {
				type: 'operator',
				id: 's-bahn-berlin-gmbh',
				name: 'S-Bahn Berlin GmbH',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'DBS'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{type: 'hint', code: 'FB', text: 'Fahrradmitnahme möglich'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900230999',
			stationDHID: 'de:12054:900230999',
			name: 'S Potsdam Hauptbahnhof',
			location: {
				type: 'location',
				id: '900230999',
				latitude: 52.391659,
				longitude: 13.066172,
			},
			products: {
				suburban: true,
				subway: false,
				tram: true,
				bus: true,
				ferry: false,
				express: true,
				regional: true,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.507287,
			longitude: 13.445238,
		},
	},
	{
		tripId: '1|26077|2|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:49:00+02:00',
		plannedWhen: '2021-10-12T17:49:00+02:00',
		delay: 0,
		platform: '3',
		plannedPlatform: '3',
		prognosisType: 'calculated',
		direction: 'S Strausberg Bhf',
		provenance: null,
		line: {
			type: 'line',
			id: 's5',
			fahrtNr: '14839',
			name: 'S5',
			public: true,
			adminCode: 'DBS---',
			productName: 'S',
			mode: 'train',
			product: 'suburban',
			operator: {
				type: 'operator',
				id: 's-bahn-berlin-gmbh',
				name: 'S-Bahn Berlin GmbH',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'DBS'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{type: 'hint', code: 'FB', text: 'Fahrradmitnahme möglich'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900320004',
			stationDHID: 'de:12064:900320004',
			name: 'S Strausberg Bhf',
			location: {
				type: 'location',
				id: '900320004',
				latitude: 52.532367,
				longitude: 13.834794,
			},
			products: {
				suburban: true,
				subway: false,
				tram: true,
				bus: true,
				ferry: false,
				express: false,
				regional: true,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.520528,
			longitude: 13.39373,
		},
	},
	{
		tripId: '1|23049|34|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:50:00+02:00',
		plannedWhen: '2021-10-12T17:50:00+02:00',
		delay: 0,
		platform: null,
		plannedPlatform: null,
		prognosisType: 'prognosed',
		direction: 'S+U Hermannstr. (Berlin)',
		provenance: null,
		line: {
			type: 'line',
			id: 'u8',
			fahrtNr: '17589',
			name: 'U8',
			public: true,
			adminCode: 'BVU---',
			productName: 'U',
			mode: 'train',
			product: 'subway',
			operator: {
				type: 'operator',
				id: 'berliner-verkehrsbetriebe',
				name: 'Berliner Verkehrsbetriebe',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'BVG'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{type: 'hint', code: 'FB', text: 'Fahrradmitnahme möglich'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900079221',
			stationDHID: 'de:11000:900079221',
			name: 'S+U Hermannstr. (Berlin)',
			location: {
				type: 'location',
				id: '900079221',
				latitude: 52.467339,
				longitude: 13.43143,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.534345,
			longitude: 13.398197,
		},
	},
	{
		tripId: '1|23111|31|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:50:00+02:00',
		plannedWhen: '2021-10-12T17:50:00+02:00',
		delay: 0,
		platform: null,
		plannedPlatform: null,
		prognosisType: 'prognosed',
		direction: 'U Paracelsus-Bad (Berlin)',
		provenance: null,
		line: {
			type: 'line',
			id: 'u8',
			fahrtNr: '17229',
			name: 'U8',
			public: true,
			adminCode: 'BVU---',
			productName: 'U',
			mode: 'train',
			product: 'subway',
			operator: {
				type: 'operator',
				id: 'berliner-verkehrsbetriebe',
				name: 'Berliner Verkehrsbetriebe',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'BVG'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{type: 'hint', code: 'FB', text: 'Fahrradmitnahme möglich'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900085104',
			stationDHID: 'de:11000:900085104',
			name: 'U Paracelsus-Bad (Berlin)',
			location: {
				type: 'location',
				id: '900085104',
				latitude: 52.574428,
				longitude: 13.3473,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.493516,
			longitude: 13.421839,
		},
	},
	{
		tripId: '1|12062|15|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:51:00+02:00',
		plannedWhen: '2021-10-12T17:51:00+02:00',
		delay: 0,
		platform: null,
		plannedPlatform: null,
		prognosisType: 'prognosed',
		direction: 'S+U Warschauer Str.',
		provenance: null,
		line: {
			type: 'line',
			id: '300',
			fahrtNr: '33624',
			name: '300',
			public: true,
			adminCode: 'BVB---',
			productName: 'Bus',
			mode: 'bus',
			product: 'bus',
			operator: {
				type: 'operator',
				id: 'berliner-verkehrsbetriebe',
				name: 'Berliner Verkehrsbetriebe',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'BVG'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900120004',
			stationDHID: 'de:11000:900120004',
			name: 'S+U Warschauer Str. (Berlin)',
			location: {
				type: 'location',
				id: '900120004',
				latitude: 52.505768,
				longitude: 13.449157,
			},
			products: {
				suburban: true,
				subway: true,
				tram: true,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.516519,
			longitude: 13.40956,
		},
	},
	{
		tripId: '1|27181|9|86|12102021',
		stop: {
			type: 'stop',
			id: '900100004',
			stationDHID: 'de:11000:900100004',
			name: 'S+U Jannowitzbrücke (Berlin)',
			location: {
				type: 'location',
				id: '900100004',
				latitude: 52.515503,
				longitude: 13.418027,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: false,
				regional: false,
			},
			lines: [
				{
					type: 'line',
					id: 's3',
					fahrtNr: null,
					name: 'S3',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's5',
					fahrtNr: null,
					name: 'S5',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 's9',
					fahrtNr: null,
					name: 'S9',
					public: true,
					productName: 'S',
					mode: 'train',
					product: 'suburban',
				},
				{
					type: 'line',
					id: 'u8',
					fahrtNr: null,
					name: 'U8',
					public: true,
					productName: 'U',
					mode: 'train',
					product: 'subway',
				},
				{
					type: 'line',
					id: '300',
					fahrtNr: null,
					name: '300',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n8',
					fahrtNr: null,
					name: 'N8',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n40',
					fahrtNr: null,
					name: 'N40',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n60',
					fahrtNr: null,
					name: 'N60',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 'n65',
					fahrtNr: null,
					name: 'N65',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
				{
					type: 'line',
					id: 's7',
					fahrtNr: null,
					name: 'S7',
					public: true,
					productName: 'Bus',
					mode: 'bus',
					product: 'bus',
				},
			],
		},
		when: '2021-10-12T17:51:00+02:00',
		plannedWhen: '2021-10-12T17:51:00+02:00',
		delay: 0,
		platform: '4',
		plannedPlatform: '4',
		prognosisType: 'calculated',
		direction: 'S Spandau Bhf (Berlin)',
		provenance: null,
		line: {
			type: 'line',
			id: 's9',
			fahrtNr: '20512',
			name: 'S9',
			public: true,
			adminCode: 'DBS---',
			productName: 'S',
			mode: 'train',
			product: 'suburban',
			operator: {
				type: 'operator',
				id: 's-bahn-berlin-gmbh',
				name: 'S-Bahn Berlin GmbH',
			},
		},
		remarks: [
			{type: 'hint', code: 'OPERATOR', text: 'DBS'},
			{type: 'hint', code: 'bf', text: 'barrierefrei'},
			{type: 'hint', code: 'FB', text: 'Fahrradmitnahme möglich'},
			{
				id: '118634',
				type: 'warning',
				summary: 'Gemeinsam sicher unterwegs - mit Abstand und medizinischer Maske (in Berlin: FFP2)!',
				text: 'An Haltestellen und Bahnhöfen sowie in Fahrzeugen. Maskenmuffel riskieren mindestens 50 Euro.\n'
				+ '<a href="https://www.vbb.de/corona" target="_blank" rel="noopener">Weitere Informationen</a>',
				icon: {type: 'HIM0', title: null},
				priority: 100,
				products: {
					suburban: true,
					subway: true,
					tram: true,
					bus: true,
					ferry: true,
					express: true,
					regional: true,
				},
				company: 'VBB',
				categories: [0],
				validFrom: '2021-04-24T00:00:00+02:00',
				validUntil: '2022-12-31T00:00:00+01:00',
				modified: '2021-06-12T07:43:36+02:00',
			},
		],
		origin: null,
		destination: {
			type: 'stop',
			id: '900029101',
			stationDHID: 'de:11000:900029101',
			name: 'S Spandau Bhf (Berlin)',
			location: {
				type: 'location',
				id: '900029101',
				latitude: 52.534794,
				longitude: 13.197477,
			},
			products: {
				suburban: true,
				subway: true,
				tram: false,
				bus: true,
				ferry: false,
				express: true,
				regional: true,
			},
		},
		currentTripPosition: {
			type: 'location',
			latitude: 52.498604,
			longitude: 13.467252,
		},
	},
];

export {
	vbbDepartures,
};
